:host{
  height: 100%;
}

.ticket-item{
  height: 200px;
  margin: 10px;
  overflow: hidden;
  border-radius: 4px;
  box-shadow: 0 8px 16px rgba(0, 0, 0, 0.2);
  position: relative;
  transition: all ease-in .3s;

  &:hover{
    cursor: pointer;
    transform: scale(1.02);
  }

  & .item-image{
    width: 100%;
    height: 100%;
    background-size: cover;
    background-position: center;
  }

  & .item-name{
    display: none;
    position: absolute;
    height: 100%;
    width: 100%;
    text-align: center;
    padding: 20px;
    background: rgba(0, 0, 0, 0.5);
    color: #fff;
    transition: all ease-in .3s;
    flex-direction: column;
    justify-content: space-around;
  }

  & .item-price{
    display: none;
    position:absolute;
    right:0;
    bottom: 16px;
    background: #ff9710;
    border-radius: 4px 0 0 4px;
    padding: 4px 8px;
    color: white;
    box-shadow: -4px 4px 8px rgba(0, 0, 0, .5);
  }
}
